import { Icon } from 'https://bitbucket.statistik.zh.ch/projects/ZW/repos/lib/raw/atoms/icon/index.js?at=refs%2Fheads%2Fmaster';

const Input = ({ value = "", clearable = false } = {}) => {
  const node = document.createElement("div");
  node.classList.add("zhstat-input");

  const set = value => {
    node.classList.toggle("clearable", clearable && value !== null && input.value !== "");
    node.value = value;
  }

  const input = document.createElement("input");
  input.oninput = (event) => set(event.target.value);
  node.append(input);

  input.value = value;
  set(value);

  if (clearable) {
    const clearable = Icon(parent, 'clear')
    node.append(clearable)
    clearable.onclick = event => {
      event.stopPropagation()
      set(null)
    }
  }

  return node;
}

export {
  Input
}

